## zynaddsubfx-2.2.1.tar.bz2

=== src/Makefile ===
include Makefile.inc

ifneq ($(MAKECMDGOALS),debug)
  CXXFLAGS= -O6 -Wall
else 
  CXXFLAGS= -O0 -Wall -Wpointer-arith -Wstrict-prototypes
endif

CXXFLAGS += -DOS_$(OS_PORT) -D$(MIDIIN)MIDIIN -DFFTW_VERSION_$(FFTW_VERSION) -DASM_F2I_$(ASM_F2I)

ifeq ($(DISABLE_GUI),YES)
    CXXFLAGS += -DDISABLE_GUI
else
    CXXFLAGS += `fltk-config --cflags` 
endif

ifeq ($(AUDIOOUT),OSS_AND_JACK)
    CXXFLAGS += -DOSSAUDIOOUT -DJACKAUDIOOUT 
else
    CXXFLAGS += -D$(AUDIOOUT)AUDIOOUT 
endif

export CXXFLAGS

LIBS= -lm  -lmxml -lz
ifneq ($(DISABLE_GUI),YES)
    LIBS+=`fltk-config --ldflags` 
endif

ifeq ($(FFTW_VERSION),2)
LIBS += -lrfftw -lfftw
else
LIBS += -lfftw3
endif

ifeq ($(OS_PORT),LINUX) 
LIBS+= -lpthread
else
#dynamic linking
#LIBS+= -lpthreadGC
#static linking
LIBS+= /usr/lib/libpthreadGC1.a
endif

ifeq ($(MIDIIN),ALSA) 
LIBS+= -lasound
endif

ifeq ($(AUDIOOUT),PA) 
LIBS+= -lportaudio
endif

ifeq ($(OS_PORT),WINDOWS) 
LIBS+= -lwinmm
endif


ifeq ($(AUDIOOUT),OSS_AND_JACK) 
CXXFLAGS += `pkg-config --cflags jack`
LIBS+= `pkg-config --libs jack`
endif

ifeq ($(AUDIOOUT),JACK) 
CXXFLAGS += `pkg-config --cflags jack`
LIBS+= `pkg-config --libs jack`
endif

ifeq ($(AUDIOOUT),JACK_RT) 
CXXFLAGS += `pkg-config --cflags jack`
LIBS+= `pkg-config --libs jack`
endif

objects=main.o
SUBDIRS=DSP Effects Input Misc Output Params Synth Seq

.PHONY: subdirs $(SUBDIRS)

all:
#	yes " " | head

	$(MAKE) -C UI $@
#	@sh -c "cd UI ; $(CXX) -MM -MG -w *.cc >> ../Make.deps ; cd .."
	@for name in $(SUBDIRS); do sh -c "cd $$name ; $(CXX) -MM -MG -w *.C >> ../Make.deps ; cd .."; done
	$(MAKE) subdirs
	$(MAKE) objs
	rm -f zynaddsubfx zynaddsubfx.exe
	rm -f Make.deps 


ifeq ($(AUDIOOUT),DSSI) 
	$(CXX) -shared  -o zynaddsubfx.so */*.o *.o $(LIBS) 
else
ifeq ($(AUDIOOUT),VST) 
	$(CXX) -shared -o zynaddsubfx_vst.dll */*.o *.o ../../vstsdk2/source/common/AudioEffect.cpp ../../vstsdk2/source/common/audioeffectx.cpp  $(LIBS) zynaddsubfx_gcc.def
else


ifeq ($(OS_PORT),LINUX) 
	$(CXX) -o zynaddsubfx */*.o *.o $(LIBS)
else
	$(CXX) -o zynaddsubfx.exe */*.o *.o $(LIBS)
endif 
endif
endif

subdirs: $(SUBDIRS)

$(SUBDIRS):
	$(MAKE) -C $@


objs:$(objects)

debug: all

main.o:Misc/Master.h Misc/Util.h Output/OSSaudiooutput.h\
       Input/OSSMidiIn.h Input/ALSAMidiIn.h
       

.PHONY : clean
clean: 
	rm -f $(objects) zynaddsubfx zynaddsubfx_vst.dll zynaddsubfx.exe zynaddsubfx.so
	@for name in $(SUBDIRS); do sh -c "make -C $$name $@"; done
	rm -f Make.deps
	rm -f */*.o *.o
	$(MAKE) -C UI $@

install:
	install -D zynaddsubfx $(DESTDIR)/usr/bin/zynaddsubfx
#	install -d -m 755 ../banks $(DESTDIR)/usr/share/zynaddsubfx/

=== debian/changelog ===
zynaddsubfx (2.2.1-4) unstable; urgency=low

  * Added zlib1g-dev to the build dependencies (closes: #352014) 

 -- macan <macan@debian.org>  Fri, 10 Feb 2006 13:15:38 -0200

zynaddsubfx (2.2.1-3) unstable; urgency=low

  * Patched zynaddsubfx to connect to the default jack output
  * Fixed some compilation warnings and crashing caused by a bug in virtual keyboard, patch by Guus Sliepen (closes: #350152)
  * Updated .desktop file to be XDG compliant. Patch by Free Ekanayaka (closes: #313368)
  * Set realtime priority acordingly. Patch by Ben Hutchings (closes: #314671)

 -- Eduardo Marcel Macan <macan@debian.org>  Wed,  8 Feb 2006 08:50:06 -0200

zynaddsubfx (2.2.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * build-depend on libjack0.100.0-dev. Closes: #317229.

 -- Andreas Barth <aba@not.so.argh.org>  Sun, 31 Jul 2005 13:56:28 +0200

zynaddsubfx (2.2.1-2) unstable; urgency=high

  * Added noui as a parameter to initprogram() (closes: #307522)
  * Fixed issues introduced by Brossier's patch (#306824) on little endian architectures (closes: #309401)

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 17 May 2005 11:29:38 -0300

zynaddsubfx (2.2.1-1) unstable; urgency=low

  * Gave proper credit in this changelog to people who sent patches
  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Fri, 29 Apr 2005 09:29:12 -0300

zynaddsubfx (2.2.0-2) unstable; urgency=low

  * Fixed endianess problem thanks Paul Brossier (closes: #306824)

 -- Eduardo Marcel Macan <macan@debian.org>  Fri, 29 Apr 2005 09:17:20 -0300

zynaddsubfx (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Fixed XMLWrapper so that saved parameters are loaded properly

 -- Eduardo Marcel Macan <macan@debian.org>  Sat, 23 Apr 2005 08:18:08 -0300

zynaddsubfx (2.1.1-1.1) unstable; urgency=low

  * NMU
  * Changes src/UI/PresetsUI.fl to include FL/fl_ask.H instead of
    FL/fl_ask.h (closes: #304125)
  * Disabled non portable float to int assembly conversion in 
    src/Makefile.inc (ASM_F2I=NO)

 -- Paul Brossier <piem@altern.org>  Wed, 13 Apr 2005 03:54:45 +0100

zynaddsubfx (2.1.1-1) unstable; urgency=low

  * menu file now references zyn's icon (closes: #299412)
  * New upstream release (closes: #269004) 

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 28 Dec 2004 20:50:04 -0200

zynaddsubfx (1.4.3-1.1) unstable; urgency=low

  * NMU
  * recompile with libjack0.80.0-dev (closes: #228790)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 28 Jan 2004 06:50:09 +0900

zynaddsubfx (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Wed,  3 Sep 2003 16:05:56 -0300

zynaddsubfx (1.4.2-2) unstable; urgency=low

  * Fixed build dependencies (closes: #203424)

 -- Eduardo Marcel Macan <macan@debian.org>  Thu,  7 Aug 2003 08:54:35 -0300

zynaddsubfx (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Eduardo Marcel Macan <macan@debian.org>  Thu, 17 Jul 2003 21:54:46 -0300

zynaddsubfx (1.4.1-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Thu, 19 Jun 2003 23:33:18 -0300

=== debian/control ===
Source: zynaddsubfx
Section: sound
Priority: extra
Maintainer: Eduardo Marcel Macan <macan@debian.org>
Build-Depends: debhelper (>> 4.0.0), fluid (>= 1.1.3+1.1.4rc1), libjack0.100.0-dev, libfltk1.1-dev (>= 1.1.3+1.1.4rc1), libasound2-dev (>= 0.9.4), fftw3-dev (>=3.0.1-11), libmxml-dev (>= 2.0), zlib1g-dev
Standards-Version: 3.6.2.2

Package: zynaddsubfx
Architecture: any
Depends: ${shlibs:Depends} 
Description: Realtime software synthesizer for Linux
 A real-time software synthesizer for Linux and Windows with many
 features, including polyphony, multi-timbral and microtonal 
 capabilities. It includes randomness of some parameters, which 
 makes warm sounds, like analogue synthesizers.
 It has system/insertion effects too, and much more.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	
	$(MAKE) -C src
	#/usr/bin/docbook-to-man debian/zynaddsubfx.sgml > zynaddsubfx.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) -C src clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/zynaddsubfx.
	cd src
	$(MAKE) -C src install DESTDIR=$(CURDIR)/debian/zynaddsubfx
	install -m 644 debian/zynaddsubfx.desktop $(CURDIR)/debian/zynaddsubfx/usr/share/applications
	install -m 644 debian/zynaddsubfx.xpm $(CURDIR)/debian/zynaddsubfx/usr/share/pixmaps/
	cp -r $(CURDIR)/banks $(CURDIR)/debian/zynaddsubfx/usr/share/zynaddsubfx
	cp -r $(CURDIR)/presets $(CURDIR)/debian/zynaddsubfx/usr/share/zynaddsubfx
	cd ..


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman debian/zynaddsubfx.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
